## mono-i386 2.10.1-4maemo1

=== mcs/class/System.Web/Makefile ===
thisdir = class/System.Web
SUBDIRS = Test
include ../../build/rules.make

LIBRARY = System.Web.dll

ifneq (1, $(FRAMEWORK_VERSION_MAJOR))

LIBRARY_USE_INTERMEDIATE_FILE = yes

# Because System.Web.dll and System.Web.Services.dll have a cyclic dependency, we need a two-pass build.
# 1st pass - build System.Web.dll without System.Web.Services.dll reference
# 2nd pass - build System.Web.dll with System.Web.Services.dll reference

WEBSERVICES_DEP := System.Web.Services.dll
WEBSERVICES_DEP_FILE := $(wildcard ../lib/$(PROFILE)/$(WEBSERVICES_DEP))
MONOWEB_DEP := Mono.Web.dll
MONOWEB_DEP_FILE := $(wildcard ../lib/$(PROFILE)/$(MONOWEB_DEP))
ifndef NO_SYSTEMCORE_DEP
SYSTEMCORE_DEP := System.Core.dll
SYSTEMCORE_DEP_FILE := $(wildcard ../lib/$(PROFILE)/$(SYSTEMCORE_DEP))
endif
CYCLIC_DEPS := $(WEBSERVICES_DEP) $(MONOWEB_DEP) 
CYCLIC_DEP_FILES := $(WEBSERVICES_DEP_FILE) $(MONOWEB_DEP_FILE)
endif

RESOURCE_FILES_1= \
	resources/WebUIValidation.js

RESOURCE_FILES_2 = \
	resources/folder.gif \
	resources/file.gif \
	resources/computer.gif \
	resources/arrow_minus.gif \
	resources/arrow_noexpand.gif \
	resources/arrow_plus.gif \
	resources/arrow_up.gif \
	resources/arrow_down.gif \
	resources/box_full.gif \
	resources/box_empty.gif \
	resources/box_minus.gif \
	resources/box_noexpand.gif \
	resources/box_plus.gif \
	resources/contact.gif \
	resources/dot_empty.gif \
	resources/dot_full.gif \
	resources/dots.gif \
	resources/inbox.gif \
	resources/star_empty.gif \
	resources/star_full.gif \
	resources/warning.gif \
	resources/TreeView_noexpand.gif \
	resources/TreeView_dash.gif \
	resources/TreeView_dashminus.gif \
	resources/TreeView_dashplus.gif \
	resources/TreeView_i.gif \
	resources/TreeView_l.gif \
	resources/TreeView_lminus.gif \
	resources/TreeView_lplus.gif \
	resources/TreeView_minus.gif \
	resources/TreeView_plus.gif \
	resources/TreeView_r.gif \
	resources/TreeView_rminus.gif \
	resources/TreeView_rplus.gif \
	resources/TreeView_t.gif \
	resources/TreeView_tminus.gif \
	resources/TreeView_tplus.gif \
	resources/transparent.gif \
	resources/webform.js \
	resources/WebUIValidation_2.0.js \
	System.Web.UI.WebControls/GridView.js \
	System.Web.UI.WebControls/DetailsView.js \
	System.Web.UI.WebControls/TreeView.js \
	System.Web.UI.WebControls/Menu.js

RESOURCE_FILES_4 = \
	System.Web.UI.WebControls/MenuModern.js

OTHER_RES = $(RESOURCE_FILES_1)
TEST_APP_CODE_FILES = \
	Test/mainsoft/NunitWebResources/App_Code/EnumConverterControl.cs \
	Test/mainsoft/NunitWebResources/App_Code/MyContainer.cs \
	Test/mainsoft/NunitWebResources/App_Code/CustomCheckBoxColumn.cs

TEST_APP_GLOBALRESOURCES_FILES = \
	Test/mainsoft/NunitWebResources/App_GlobalResources/Common.resx \
	Test/mainsoft/NunitWebResources/App_GlobalResources/Common.fr-FR.resx \
	Test/mainsoft/NunitWebResources/App_GlobalResources/Resource1.resx

TEST_RESOURCE_FILES = \
	Test/mainsoft/NunitWeb/NunitWeb/Resources/Global.asax \
	Test/mainsoft/NunitWeb/NunitWeb/Resources/My.ashx \
	Test/mainsoft/NunitWeb/NunitWeb/Resources/My.master \
	Test/mainsoft/NunitWeb/NunitWeb/Resources/MyPage.aspx \
	Test/mainsoft/NunitWeb/NunitWeb/Resources/MyPage.aspx.cs \
	Test/mainsoft/NunitWeb/NunitWeb/Resources/MyPageWithMaster.aspx \
	Test/mainsoft/NunitWeb/NunitWeb/Resources/Web.mono.config \
	Test/mainsoft/NunitWeb/NunitWeb/Resources/Web.mono.config.4.0 \
	Test/mainsoft/NunitWeb/NunitWeb/Resources/sub_map_01.sitemap \
	Test/mainsoft/NunitWeb/NunitWeb/Resources/test_map_01.sitemap \
	Test/mainsoft/NunitWeb/NunitWeb/Resources/test_map_02.sitemap \
	Test/mainsoft/NunitWeb/NunitWeb/Resources/test_map_03.sitemap \
	Test/mainsoft/NunitWeb/NunitWeb/Resources/test_map_04.sitemap \
	Test/mainsoft/NunitWeb/NunitWeb/Resources/test_map_05.sitemap \
	Test/mainsoft/NunitWeb/NunitWeb/Resources/test_map_06.sitemap \
	Test/mainsoft/NunitWeb/NunitWeb/Resources/test_map_07.sitemap \
	Test/mainsoft/NunitWeb/NunitWeb/Resources/test_map_08.sitemap \
	Test/mainsoft/NunitWeb/NunitWeb/Resources/test_map_09.sitemap \
	Test/mainsoft/NunitWebResources/menuclass.aspx \
	Test/mainsoft/NunitWebResources/FormView.aspx \
	Test/mainsoft/NunitWebResources/PostBackMenuTest.aspx \
	Test/mainsoft/NunitWebResources/PageWithStyleSheet.aspx \
	Test/mainsoft/NunitWebResources/PageWithTheme.aspx \
	Test/mainsoft/NunitWebResources/ResolveUrl.ascx \
	Test/mainsoft/NunitWebResources/ResolveUrl.aspx \
	Test/mainsoft/NunitWebResources/RunTimeSetTheme.aspx \
	Test/mainsoft/NunitWebResources/ReadOnlyPropertyBind.aspx \
	Test/mainsoft/NunitWebResources/ReadOnlyPropertyControl.ascx \
	Test/mainsoft/NunitWebResources/Theme1.skin \
	Test/mainsoft/NunitWebResources/Theme2.skin \
	Test/mainsoft/NunitWebResources/UrlProperty.aspx \
	Test/mainsoft/NunitWebResources/UrlProperty.ascx \
	Test/mainsoft/NunitWebResources/UrlProperty.ascx.cs \
	Test/mainsoft/NunitWebResources/Web.sitemap \
	Test/mainsoft/NunitWebResources/WizardTest.skin \
	Test/mainsoft/NunitWebResources/FooterTemplateTest.aspx \
	Test/mainsoft/NunitWebResources/DataGrid.aspx \
	Test/mainsoft/NunitWebResources/DetailsViewTemplates.aspx \
	Test/mainsoft/NunitWebResources/DetailsViewTemplates_2.aspx \
	Test/mainsoft/NunitWebResources/DetailsViewTemplates_3.aspx \
	Test/mainsoft/NunitWebResources/DetailsViewDataActions.aspx \
	Test/mainsoft/NunitWebResources/DetailsViewProperties1.aspx \
	Test/mainsoft/NunitWebResources/Bluehills.jpg \
	Test/mainsoft/NunitWebResources/FormViewTest1.aspx \
	Test/mainsoft/NunitWebResources/FormViewTest1_2.aspx \
	Test/mainsoft/NunitWebResources/FormViewTest1_3.aspx \
	Test/mainsoft/NunitWebResources/FormViewTest1_4.aspx \
	Test/mainsoft/NunitWebResources/FormViewInsertEditDelete.aspx \
	Test/mainsoft/NunitWebResources/GridViewUpdate.aspx \
	Test/mainsoft/NunitWebResources/XMLDataSourceTest.xml \
	Test/mainsoft/NunitWebResources/XMLDataSourceTest.xsl \
	Test/mainsoft/NunitWebResources/XMLDataSourceTest1.aspx \
	Test/mainsoft/NunitWebResources/XMLDataSourceTest2.aspx \
	Test/mainsoft/NunitWebResources/XMLDataSourceTest3.aspx \
	Test/mainsoft/NunitWebResources/XMLDataSourceTest4.aspx \
	Test/mainsoft/NunitWebResources/LoginViewTest1.aspx \
	Test/mainsoft/NunitWebResources/WebControl.config \
	Test/mainsoft/NunitWebResources/WebLogin.config \
	Test/mainsoft/NunitWebResources/CallbackTest1.aspx \
	Test/mainsoft/NunitWebResources/CallbackTest2.aspx \
	Test/mainsoft/NunitWebResources/EventValidationTest2.aspx \
	Test/mainsoft/NunitWebResources/EventValidationTest1.aspx \
	Test/mainsoft/NunitWebResources/ClientScript.js \
	Test/mainsoft/NunitWebResources/EvalTest.aspx \
	Test/mainsoft/NunitWebResources/TemplateUserControl.ascx \
	Test/mainsoft/NunitWebResources/WebMapping.config \
	Test/mainsoft/NunitWebResources/Mapping.aspx \
	Test/mainsoft/NunitWebResources/Mapping1.aspx \
	Test/mainsoft/NunitWebResources/CrossPagePosting1.aspx \
	Test/mainsoft/NunitWebResources/CrossPagePosting2.aspx \
	Test/mainsoft/NunitWebResources/MyDerived.master \
	Test/mainsoft/NunitWebResources/MyPageWithDerivedMaster.aspx \
	Test/mainsoft/NunitWebResources/MasterTypeTest1.aspx \
	Test/mainsoft/NunitWebResources/MasterTypeTest2.aspx \
	Test/mainsoft/NunitWebResources/PageLifecycleTest.aspx \
	Test/mainsoft/NunitWebResources/PageValidationTest.aspx \
	Test/mainsoft/NunitWebResources/AsyncPage.aspx \
	Test/mainsoft/NunitWebResources/PageCultureTest.aspx \
	Test/mainsoft/NunitWebResources/adapters.browser \
	Test/mainsoft/NunitWebResources/NoEventValidation.aspx \
	Test/mainsoft/NunitWebResources/ListControlPage.aspx \
	Test/mainsoft/NunitWebResources/TextBoxTestlPage.aspx \
	Test/mainsoft/NunitWebResources/ClearErrorOnError.aspx \
	Test/mainsoft/NunitWebResources/RedirectOnError.aspx \
	Test/mainsoft/NunitWebResources/TestCapability.browser \
	Test/mainsoft/NunitWebResources/PageWithAdapter.aspx \
	Test/mainsoft/NunitWebResources/InvalidPropertyBind1.aspx \
	Test/mainsoft/NunitWebResources/InvalidPropertyBind2.aspx \
	Test/mainsoft/NunitWebResources/InvalidPropertyBind3.aspx \
	Test/mainsoft/NunitWebResources/InvalidPropertyBind4.aspx \
	Test/mainsoft/NunitWebResources/ValidPropertyBind1.aspx \
	Test/mainsoft/NunitWebResources/ValidPropertyBind2.aspx \
	Test/mainsoft/NunitWebResources/ValidPropertyBind3.aspx \
	Test/mainsoft/NunitWebResources/ValidPropertyBind4.aspx \
	Test/mainsoft/NunitWebResources/ValidPropertyBind5.aspx \
	Test/mainsoft/NunitWebResources/ReadWritePropertyControl.ascx \
	Test/mainsoft/MainsoftWebTest/nunitweb_config.xml \
	Test/mainsoft/NunitWebResources/TemplateControlParsingTest.aspx \
	Test/mainsoft/NunitWebResources/ContentPlaceHolderInTemplate.aspx \
	Test/mainsoft/NunitWebResources/ContentPlaceHolderInTemplate.master \
	Test/mainsoft/NunitWebResources/MissingMasterFile.aspx \
	Test/mainsoft/NunitWebResources/CustomSectionEmptyCollection.aspx \
	Test/mainsoft/NunitWebResources/NoDoubleOnInitOnRemoveAdd.aspx \
	Test/mainsoft/NunitWebResources/NoDoubleOnInitOnRemoveAdd.aspx.cs \
	Test/mainsoft/NunitWebResources/LoginDisplayRememberMe.aspx \
	Test/mainsoft/NunitWebResources/NoBindForMethodsWithBindInName.aspx \
	Test/mainsoft/NunitWebResources/LinkInHeadWithEmbeddedExpression.aspx \
	Test/mainsoft/NunitWebResources/ExpressionInListControl.aspx \
	Test/mainsoft/NunitWebResources/ServerSideControlsInScriptBlock.aspx \
	Test/mainsoft/NunitWebResources/ServerControlInClientSideComment.aspx \
	Test/mainsoft/NunitWebResources/PreprocessorDirectivesInMarkup.aspx \
	Test/mainsoft/NunitWebResources/UnquotedAngleBrackets.aspx \
	Test/mainsoft/NunitWebResources/FullTagsInText.aspx \
	Test/mainsoft/NunitWebResources/TagsExpressionsAndCommentsInText.aspx \
	Test/mainsoft/NunitWebResources/NewlineInCodeExpression.aspx \
	Test/mainsoft/NunitWebResources/DuplicateControlsInClientComment.aspx \
	Test/mainsoft/NunitWebResources/TagsNestedInClientTag.aspx \
	Test/mainsoft/NunitWebResources/ConditionalClientComments.aspx \
	Test/mainsoft/NunitWebResources/OneLetterIdentifierInCodeRender.aspx \
	Test/mainsoft/NunitWebResources/GlobalResourcesLocalization.aspx \
	Test/mainsoft/NunitWebResources/TableSections_Bug551666.aspx \
	Test/mainsoft/NunitWebResources/TableSections_Bug551666.aspx.cs \
	Test/mainsoft/NunitWebResources/NestedParserFileText.aspx \
	Test/mainsoft/NunitWebResources/StateFormatter_CorrectConverter.aspx \
	Test/mainsoft/NunitWebResources/StateFormatter_CollectionConverter.aspx \
	Test/mainsoft/NunitWebResources/StateFormatter_CollectionConverter.aspx.cs \
	Test/mainsoft/NunitWebResources/ChangePasswordContainer_FindControl.aspx \
	Test/mainsoft/NunitWebResources/TagWithExpressionWithinAttribute.aspx \
	Test/mainsoft/NunitWebResources/CheckBoxList_Bug377703_1.aspx \
	Test/mainsoft/NunitWebResources/CheckBoxList_Bug377703_2.aspx \
	Test/mainsoft/NunitWebResources/CheckBoxList_Bug578770.aspx \
	Test/mainsoft/NunitWebResources/EnumConverter_Bug578586.aspx \
	Test/mainsoft/NunitWebResources/ButtonColor_Bug325489.aspx \
	Test/mainsoft/NunitWebResources/SqlDataSource_OnInit_Bug572781.aspx \
	Test/mainsoft/NunitWebResources/FormViewPagerVisibility.aspx \
	Test/mainsoft/NunitWebResources/OverridenControlsPropertyAndPostBack_Bug594238.aspx \
	Test/mainsoft/NunitWebResources/GlobalizationEncodingName.aspx \
	Test/mainsoft/NunitWebResources/CheckBoxField_Bug595568_0.aspx \
	Test/mainsoft/NunitWebResources/CheckBoxField_Bug595568_1.aspx \
	Test/mainsoft/NunitWebResources/CheckBoxField_Bug595568_2.aspx \
	Test/mainsoft/NunitWebResources/CheckBoxField_Bug595568_5.aspx \
	Test/mainsoft/NunitWebResources/CheckBoxField_Bug595568_6.aspx \
	Test/mainsoft/NunitWebResources/CheckBoxField_Bug595568_7.aspx \
	Test/mainsoft/NunitWebResources/GridView_Bug595567.aspx \
	Test/mainsoft/NunitWebResources/CheckBoxList_Bug600415.aspx \
	Test/mainsoft/NunitWebResources/BoundField_Bug646505.aspx \
	Test/mainsoft/NunitWebResources/BoundField_Bug646505.aspx.cs \
	Test/mainsoft/NunitWebResources/HtmlTitleCodeRender_Bug662918.aspx

RESX_DIST =  resources/TranslationResources.resx
ifneq (1, $(FRAMEWORK_VERSION_MAJOR))
RESX_RES = $(RESX_DIST:.resx=.resources)
endif

=== mcs/tools/xbuild/Makefile ===
thisdir = tools/xbuild
SUBDIRS = 
include ../../build/rules.make
HAS_NUNIT_TEST = yes

BUILD_FRAMEWORK = Microsoft.Build.Framework.dll
BUILD_ENGINE = Microsoft.Build.Engine.dll

ifeq (3.5, $(FRAMEWORK_VERSION))
NAME_SUFFIX = .v3.5
ASSEMBLY_VERSION = 3.5.0.0
BUILD_FRAMEWORK := $(topdir)/class/lib/$(PROFILE)/$(BUILD_FRAMEWORK)
BUILD_ENGINE := $(topdir)/class/lib/$(PROFILE)/$(BUILD_ENGINE)
else
ifeq (4.0, $(FRAMEWORK_VERSION))
NAME_SUFFIX = .v4.0
ASSEMBLY_VERSION = 4.0.0.0
endif
endif

LOCAL_MCS_FLAGS = -r:$(BUILD_FRAMEWORK) -r:Microsoft.Build.Utilities$(NAME_SUFFIX).dll -r:$(BUILD_ENGINE)
PROGRAM = $(topdir)/class/lib/$(PROFILE)/xbuild.exe

include ../../build/executable.make

CLEAN_FILES= xbuild.exe xbuild.exe.mdb

XBUILD_DIR=.
include $(XBUILD_DIR)/xbuild_targets.make

install-local:	install-extras

WEBAPP_DIR = Microsoft/VisualStudio/v9.0/WebApplications
SILVERLIGHT_DIR = $(mono_libdir)/mono/xbuild/Microsoft/Silverlight
EXTRAS_DIR = $(mono_libdir)/mono/$(FRAMEWORK_VERSION)
install-extras: 
	$(MKINSTALLDIRS) $(DESTDIR)$(EXTRAS_DIR)
	$(INSTALL_DATA) xbuild/xbuild.rsp $(DESTDIR)$(EXTRAS_DIR)
	$(INSTALL_DATA) xbuild/$(FRAMEWORK_VERSION)/Microsoft.Common.tasks $(DESTDIR)$(EXTRAS_DIR)
	$(INSTALL_DATA) xbuild/Microsoft.Build.xsd $(DESTDIR)$(EXTRAS_DIR)
	$(INSTALL_DATA) xbuild/$(FRAMEWORK_VERSION)/Microsoft.Common.targets $(DESTDIR)$(EXTRAS_DIR)
	$(INSTALL_DATA) xbuild/Microsoft.CSharp.targets $(DESTDIR)$(EXTRAS_DIR)
	$(INSTALL_DATA) xbuild/Microsoft.VisualBasic.targets $(DESTDIR)$(EXTRAS_DIR)
	$(MKINSTALLDIRS) $(DESTDIR)$(EXTRAS_DIR)/MSBuild
	$(INSTALL_DATA) xbuild/MSBuild/Microsoft.Build.CommonTypes.xsd $(DESTDIR)$(EXTRAS_DIR)/MSBuild
	$(INSTALL_DATA) xbuild/MSBuild/Microsoft.Build.Core.xsd $(DESTDIR)$(EXTRAS_DIR)/MSBuild
	$(MKINSTALLDIRS) $(DESTDIR)$(mono_libdir)/mono/xbuild
	$(MKINSTALLDIRS) $(DESTDIR)$(mono_libdir)/mono/xbuild/$(WEBAPP_DIR)
	$(INSTALL_DATA) xbuild/Microsoft.WebApplication.targets $(DESTDIR)$(mono_libdir)/mono/xbuild/$(WEBAPP_DIR)
	$(MKINSTALLDIRS) $(DESTDIR)$(SILVERLIGHT_DIR)/v2.0
	$(MKINSTALLDIRS) $(DESTDIR)$(SILVERLIGHT_DIR)/v3.0
	$(INSTALL_DATA) xbuild/Microsoft.Silverlight.CSharp.targets $(DESTDIR)$(SILVERLIGHT_DIR)/v2.0
	$(INSTALL_DATA) xbuild/Microsoft.Silverlight.CSharp.targets $(DESTDIR)$(SILVERLIGHT_DIR)/v3.0
	$(INSTALL_DATA) xbuild/Microsoft.Silverlight.VisualBasic.targets $(DESTDIR)$(SILVERLIGHT_DIR)/v2.0
	$(INSTALL_DATA) xbuild/Microsoft.Silverlight.VisualBasic.targets $(DESTDIR)$(SILVERLIGHT_DIR)/v3.0
	sed -e 's/@SILVERLIGHT_VERSION@/2.0/g' xbuild/Microsoft.Silverlight.Common.targets > $(DESTDIR)$(SILVERLIGHT_DIR)/v2.0/Microsoft.Silverlight.Common.targets
	sed -e 's/@SILVERLIGHT_VERSION@/3.0/g' xbuild/Microsoft.Silverlight.Common.targets > $(DESTDIR)$(SILVERLIGHT_DIR)/v3.0/Microsoft.Silverlight.Common.targets

EXTRA_DISTFILES = \
	xbuild/xbuild.rsp \
	xbuild/2.0/Microsoft.Common.tasks \
	xbuild/3.5/Microsoft.Common.tasks \
	xbuild/4.0/Microsoft.Common.tasks \
	xbuild/2.0/Microsoft.Common.targets \
	xbuild/3.5/Microsoft.Common.targets \
	xbuild/4.0/Microsoft.Common.targets \
	xbuild/Microsoft.Build.xsd \
	xbuild/Microsoft.CSharp.targets \
	xbuild/MSBuild/Microsoft.Build.CommonTypes.xsd \
	xbuild/MSBuild/Microsoft.Build.Core.xsd		\
	xbuild/Microsoft.VisualBasic.targets \
	xbuild/Microsoft.WebApplication.targets \
	xbuild/Microsoft.Silverlight.Common.targets \
	xbuild/Microsoft.Silverlight.CSharp.targets \
	xbuild/Microsoft.Silverlight.VisualBasic.targets \
	xbuild_targets.make

=== debian/changelog ===
mono-i386 (2.10.1-4maemo1) fremantle; urgency=low

  * Initial release for i386 Scratchbox

 -- Tsukanov Nikita <keks9n@gmail.com>  Tue, 26 Apr 2011 19:20:45 +0200

mono (2.10.1-4) experimental; urgency=low

  [ Zoltan Varga ]
  * [db3ee8c] Only use memory barriers on arm when running on armv6 or later.
  * [cf1d8e8] Add a membar to libgc's UNLOCK () on arm. Fixes Mono#683409.

  [ Jo Shields ]
  * [0e3d427] Ensure SIGXFSZ is used instead of SIGPWR on kFreeBSD.
              (Closes: #621907)
  * [8cd4f00] Define CPU registers on kFreeBSD/AMD64, to prevent build
              failures.

  [ Mirco Bauer ]
  * [9546eb7] Added armel specific symbols to libmono-2.0-1.symbols.armel

 -- Mirco Bauer <meebey@debian.org>  Sun, 10 Apr 2011 17:16:47 +0200

mono (2.10.1-3) experimental; urgency=low

  [ Jo Shields ]
  * [0fd2fc1] Tweak architecture checks in configure.in so kfreebsd-gnu is
              considered an SGen-capable architecture. (closes: #621448)

  [ Mirco Bauer ]
  * [26a6ee8] Moved architecture dependent symbols into
              libmono-2.0-1.symbols.$arch

 -- Mirco Bauer <meebey@debian.org>  Sat, 09 Apr 2011 15:15:04 +0200

mono (2.10.1-2) experimental; urgency=low

  * [aba0fce] Dropped obsolete archs: arm, armeb and lpia;
              no longer supported arch: s390;
              added potential new archs: armhf, ppc64 and s390x;
              only build and install sgen on supported archs
  * [66a0541] kfreebsd support for Mono 2.10.1 - mainly backport of gc 6.8
              (closes: #621031)

 -- Mirco Bauer <meebey@debian.org>  Thu, 07 Apr 2011 01:33:02 +0200

mono (2.10.1-1) experimental; urgency=low

  * The "size does matter" release

  [ Mirco Bauer ]
  * New upstream release
    + For release highlights see the NEWS.Debian file of the
      mono-runtime package

  [ Jo Shields ]
  * [5c6aba5] Imported Upstream version 2.8
  * [f85b0b1] Imported Upstream version 2.8.1

  [ Mirco Bauer ]
  * [01df276] Pass parallel variable in DEB_BUILD_OPTIONS to mono/Makefile
  * [e3871f8] Build libgc before mono

  [ Jo Shields ]
  * [98cb87c] Imported Upstream version 2.10~rc1
  * [b401a2a] Add test which is missing from 2.10~rc1 tarballs, causing test
              suite to fail to build

  [ Mirco Bauer ]
  * [79f2862] Build eglib before libgc and made them parallel buildable
  * [58bf7d7] Renamed libmono0 package to libmono-2.0-1 following the new
              soname
  * [f1e4e50] Provide deb-symbols for libmono-2.0-1
  * [7be8ed1] Renamed libmono-dev package to libmono-2.0-dev and dropped
              libglib2.0-dev dependency as Mono no longer makes use of the glib
  * [d97f372] Moved mono.pc to libmono-cil-dev
  * [3cd11ad] New mono-runtime-sgen package which contains the Mono VM with
              a new garbage collector
  * [7f3919a] Dropped libmono-firebirdsql1.7-cil package
  * [c31f6e2] Stick to upstream's configure defaults except for ikvm and
              quiet builds
  * [de8c9aa] Removed obsolete cleanups
  * [97c07fa] Removed obsolete doc dir symlinking removal code for Ubuntu
  * [e6e31ff] Cleaned up Uploaders
  * [3c24df0] Disable automatic AOT on "make install" as this needs to be done
              on package install time
  * [1ced0ac] Merged the install-arch and install-indep target into a single
              install target
  * [3a2409b] Disable libgc's parallel mark on powerpc as it FTBFS
  * [97c6760] Added a 2nd test-suite pass with sgen
  * [af7129a] Disable sgen on powerpc for now as it needs further porting
  * [3f99e0e] Don't run the test-suite with sgen on powerpc

  [ Jo Shields ]
  * [9a320e5] Imported Upstream version 2.10.1

  [ Mirco Bauer ]
  * [e618805] Don't delete ltmain.sh in clean target as autoreconf is not
              recreating it
  * [38ccb49] Updated libmono-2.0-1.symbols for 2.10.1
  * [0472e8b] Dropped license and copyright information of no longer
              distributed FirebirdSql.Data.Firebird and Microsoft.JScript
              assemblies
  * [cb9cfec] Moved license and copyright information of RabbitMQ.Client to
              distinct copyright files
  * [d191bb3] Moved changelog entries older than 2.6.7-1 to changelog.1
  * [4b69b38] Dropped mono-1.0-devel and merged mono-2.0-devel into mono-devel
  * [f8e8352] Re-synced debhelper tools from cli-common 0.8~git.ca22e7 with
              .NET 4.0 support
  * [dac60fb] Ignore temporarily package build directories
  * [78db0f9] Replaced depcrecated dh_clean -k call with dh_prep
  * [4cd31f2] Forcely install jay
  * [3e69ed3] Drop unwanted/incorrectly shipped files from upstream
  * [a27bef2] Dropped obsolete and added missing manpages
  * [b407a26] Make use of dh_install's --list-missing feature
  * [37638d7] Dropped obsolete and added missing dllmaps
  * [1597015] Bumped clilibs to >= 2.10.1 where needed
  * [953569a] Dropped obsolete replaces << 1.2.4-1 lines from mono-dbg
  * [ee0cbf6] Dropped prj2make-sharp package
  * [61a9ed1] Updated debian/shlibs.local for Mono 2.10.1
  * [0fa85d7] Updated mono-runtime.NEWS for Mono 2.10, 2.8 and 2.6
  * [15fe448] Dropped all CLI 1.0 library and C# 1.0 compiler packages as
              Mono 2.10 no longer supports the 1.0 runtime, added new packages
              for all CLI 4.0 libraries and the C# 4.0 compiler and made
              C# 4.0 the new default C# compiler.
              All CLI 2.0 library packages are left for ABI and backwards
              compatibility.
  * [59b28b7] Sorted dependencies of libmono-cil-dev for easier tracking
  * [9288af2] Added missing libmono-microsoft-csharp4.0-cil to libmono-cil-dev
              dependencies
  * [30cd43e] Added libmono-microsoft-csharp4.0-cil as manual dependency to
              mono-dmcs as needed for dynamic types
  * [f262b9f] Added debian/find-icalls.sh helper script which finds internal
              calls from the source tree
  * [ce1e2f5] Force the debian version. $(top_srcdir)/.git is no longer a good


=== debian/control ===
Source: mono-i386
Section: cli-mono
Priority: optional
Original-Maintainer: Debian Mono Group <pkg-mono-group@lists.alioth.debian.org>
Maintainer: Nikita Tsukanov <keks9n@gmail.com>
Uploaders: Mirco Bauer <meebey@debian.org>, Jo Shields <directhex@apebox.org>
Build-Depends: debhelper (>= 7),
	dpkg-dev (>= 1.13.19),
	libglib2.0-dev (>= 2.4),
	bison,
	libtool,
	libxml-dom-perl,
	libxslt1-dev,
	dc,
	lsb-release,
	libx11-dev,
	libxt-dev,
	zlib1g-dev,
	autoconf,
	automake
Homepage: http://www.mono-project.com/
Vcs-Git: git://git.debian.org/git/pkg-mono/packages/mono.git
Vcs-Browser: http://git.debian.org/?p=pkg-mono/packages/mono.git

Package: mono-runtime
Provides: cli-runtime, cli-virtual-machine
Architecture: i386
Replaces: mono-common (<< 2.4), mono-jit (<< 2.4), libmono0 (<< 2.4)
Conflicts: mono-common (<< 2.4),
           mono-jit (<< 2.4),
           mono-1.0-runtime (<< 2.4),
           mono-2.0-runtime (<< 2.4)
Suggests: xdg-utils | libgnome2-0 | konqueror
Recommends: binfmt-support (>= 1.1.2)
Depends: mono-pre, ${shlibs:Depends},
         ${misc:Depends},
         mono-gac (= ${source:Version})
Description: Mono runtime
 Mono is a platform for running and developing applications based on the
 ECMA/ISO Standards. Mono is an open source effort led by Novell.
 Mono provides a complete CLR (Common Language Runtime) including compiler and
 runtime, which can produce and execute CIL (Common Intermediate Language)
 bytecode (aka assemblies), and a class library.
 .
 This package contains the Virtual Machine, JIT (Just-in-Time) and
 AOT (Ahead-of-Time) code generator "mono".
 "mono" executes applications for the CLI (Common Language Infrastructure).
 Mono currently only supports the X86, PowerPC, ARM, SPARC, S/390, AMD64 and
 IA64 architectures. Optionally this package configures BINFMT support.

Package: mono-runtime-sgen
Architecture: i386
Depends: mono-pre, ${shlibs:Depends},
         ${misc:Depends},
         mono-runtime (= ${binary:Version})
Homepage: http://www.mono-project.com/Compacting_GC
Description: Mono runtime - SGen (experimental)
 Mono is a platform for running and developing applications based on the
 ECMA/ISO Standards. Mono is an open source effort led by Novell.
 Mono provides a complete CLR (Common Language Runtime) including compiler and
 runtime, which can produce and execute CIL (Common Intermediate Language)
 bytecode (aka assemblies), and a class library.
 .
 This package contains the Virtual Machine, JIT (Just-in-Time) and
 AOT (Ahead-of-Time) code generator "mono-sgen".
 mono-sgen executes applications for the CLI (Common Language Infrastructure).
 Mono currently only supports the X86, PowerPC, ARM, SPARC, S/390, AMD64 and
 IA64 architectures.
 .
 This package uses SGen which is Mono's new simple generational garbage collector
 instead of Boehm's conservative garbage collector. SGen is currently only
 for testing and thus should not be used in production.

Package: mono-runtime-dbg
Priority: extra
Section: debug
Architecture: i386
Replaces: mono-jit-dbg (<< 2.4)
Conflicts: mono-jit-dbg (<< 2.4)
Depends: mono-pre, ${misc:Depends}, mono-runtime (= ${binary:Version})
Recommends: gdb
Description: Mono runtime, debugging symbols
 Mono is a platform for running and developing applications based on the
 ECMA/ISO Standards. Mono is an open source effort led by Novell.
 Mono provides a complete CLR (Common Language Runtime) including compiler and
 runtime, which can produce and execute CIL (Common Intermediate Language)
 bytecode (aka assemblies), and a class library.
 .
 This package contains the debugging symbols of the Mono JIT/AOT compiler.

Package: mono-utils
Provides: cil-disassembler
Architecture: i386
Replaces: mono-mcs (<= 1.1.6-4)
Depends: mono-pre, ${shlibs:Depends}, ${misc:Depends}, libmono-2.0-1 (= ${binary:Version}),
 libmono-corlib4.0-cil (= ${source:Version}) | libmono-corlib2.0-cil (= ${source:Version})
Description: Mono utilities
 Mono is a platform for running and developing applications based on the
 ECMA/ISO Standards. Mono is an open source effort led by Novell.
 Mono provides a complete CLR (Common Language Runtime) including compiler and
 runtime, which can produce and execute CIL (Common Intermediate Language)
 bytecode (aka assemblies), and a class library.
 .
 This package includes various tools useful for CLI developers, like
 pedump, monodis and monograph.

Package: mono-complete
Architecture: i386
Depends: mono-pre, ${misc:Depends},
         mono-runtime (= ${binary:Version}),
         mono-runtime-sgen (= ${binary:Version}),
         libmono-2.0-1 (= ${binary:Version}),
         libmono-profiler (= ${binary:Version}),
         mono-utils (= ${binary:Version}),
         mono-jay (= ${binary:Version}),
         mono-devel (= ${source:Version}),
         mono-mcs (= ${source:Version}),
         mono-gmcs (= ${source:Version}),
         mono-dmcs (= ${source:Version}),
         mono-csharp-shell (= ${source:Version}),
         mono-2.0-gac (= ${source:Version}),
         mono-4.0-gac (= ${source:Version}),
         mono-2.0-service (= ${source:Version}),
         mono-4.0-service (= ${source:Version}),
         mono-devel (= ${source:Version}),
         monodoc-base (= ${source:Version}),
         monodoc-manual (= ${source:Version}),
         libmono-cil-dev (= ${source:Version})
Description: complete Mono runtime, development tools and all libraries
 Mono is a platform for running and developing applications based on the
 ECMA/ISO Standards. Mono is an open source effort led by Novell.
 Mono provides a complete CLR (Common Language Runtime) including compiler and
 runtime, which can produce and execute CIL (Common Intermediate Language)
 bytecode (aka assemblies), and a class library.
 .
 This is a metapackage and pulls in the Mono runtime, development tools and
 all libraries.
 .
 Install this package if you want to run software for Mono or Microsoft .NET
 which you are not installing from a Debian package.
 .
 For packagers: This package is not to be used as dependency for packages!
 You should build-depend on cli-common-dev and the needed libraries instead.

Package: libmono-2.0-1
Architecture: i386
Replaces: libmono-dev (<= 1.1.6-4)
Conflicts: mono-utils (<< 1.2.3.1-4)
Depends: mono-pre, ${shlibs:Depends}, ${misc:Depends}
Description: Mono JIT library
 Shared library for Mono, used for embedding/hosting of the JIT.
 .
 Mono is a platform for running and developing applications based on the
 ECMA/ISO Standards. Mono is an open source effort led by Novell.
 Mono provides a complete CLR (Common Language Runtime) including compiler and
 runtime, which can produce and execute CIL (Common Intermediate Language)
 bytecode (aka assemblies), and a class library.

Package: libmono-2.0-1-dbg
Priority: extra
Section: debug
Architecture: i386
Depends: mono-pre, ${misc:Depends}, libmono-2.0-1 (= ${binary:Version})
Recommends: gdb
Description: Mono JIT library, debugging symbols
 This package contains the debugging symbols of the Mono JIT library.
 .
 Mono is a platform for running and developing applications based on the
 ECMA/ISO Standards. Mono is an open source effort led by Novell.
 Mono provides a complete CLR (Common Language Runtime) including compiler and
 runtime, which can produce and execute CIL (Common Intermediate Language)
 bytecode (aka assemblies), and a class library.

Package: libmono-2.0-dev
Architecture: i386
Depends: mono-pre, ${misc:Depends}, libmono-2.0-1 (= ${binary:Version})
Description: Mono JIT library - Development files
 Header files and static libraries for libmono-2.0.
 .
 Mono is a platform for running and developing applications based on the
 ECMA/ISO Standards. Mono is an open source effort led by Novell.
 Mono provides a complete CLR (Common Language Runtime) including compiler and
 runtime, which can produce and execute CIL (Common Intermediate Language)
 bytecode (aka assemblies), and a class library.

Package: libmono-profiler
Architecture: i386
Replaces: mono-runtime (<< 2.4.2.3)
Depends: mono-pre, ${shlibs:Depends}, ${misc:Depends}
Description: Mono profiler libraries
 Profiler libraries for Mono, used for profiling applications running on Mono.
 For details how to use them, please take a look at the mono manpage.
 .
 Mono is a platform for running and developing applications based on the
 ECMA/ISO Standards. Mono is an open source effort led by Novell.
 Mono provides a complete CLR (Common Language Runtime) including compiler and
 runtime, which can produce and execute CIL (Common Intermediate Language)
 bytecode (aka assemblies), and a class library.

Package: libmono-cil-dev
Architecture: all
Replaces: libmono-nunit2.2-cil (<< 2.4.3),
          libmono-nunit2.4-cil (<< 2.4.3),
          libmono-cairo2.0-cil (<< 2.4.3),
          libmono-cecil-private-cil (<< 2.4.3),
          libmono-system-web2.0-cil (<< 2.4.3),
          libmono-wcf3.0-cil (<< 2.4.3),
          libmono2.0-cil (<< 2.4.3),
          mono-devel (<< 2.4.3),
          libmono-dev (<< 2.10~)
Breaks: libmono-dev (<< 2.10~)
Conflicts: libmono-nunit2.2-cil,
           libmono-nunit2.4-cil
Depends: mono-pre, ${misc:Depends},
         libmono2.0-cil (= ${source:Version}),
         libmono-accessibility2.0-cil (= ${source:Version}),
         libmono-accessibility4.0-cil (= ${source:Version}),
         libmono-c5-1.1-cil (= ${source:Version}),
         libmono-cairo2.0-cil (= ${source:Version}),
         libmono-cairo4.0-cil (= ${source:Version}),
         libmono-cecil-private-cil (= ${source:Version}),
         libmono-codecontracts4.0-cil (= ${source:Version}),
         libmono-compilerservices-symbolwriter4.0-cil (= ${source:Version}),
         libmono-corlib2.0-cil (= ${source:Version}),
         libmono-corlib4.0-cil (= ${source:Version}),
         libmono-cscompmgd8.0-cil (= ${source:Version}),
         libmono-csharp4.0-cil (= ${source:Version}),
         libmono-custommarshalers4.0-cil (= ${source:Version}),
         libmono-data-tds2.0-cil (= ${source:Version}),
         libmono-data-tds4.0-cil (= ${source:Version}),
         libmono-db2-1.0-cil (= ${source:Version}),
         libmono-debugger-soft2.0-cil (= ${source:Version}),
         libmono-debugger-soft4.0-cil (= ${source:Version}),
         libmono-http4.0-cil (= ${source:Version}),
         libmono-i18n2.0-cil (= ${source:Version}),
         libmono-i18n4.0-all (= ${source:Version}),
         libmono-i18n-west2.0-cil (= ${source:Version}),
         libmono-ldap2.0-cil (= ${source:Version}),
         libmono-ldap4.0-cil (= ${source:Version}),
         libmono-management2.0-cil (= ${source:Version}),
         libmono-management4.0-cil (= ${source:Version}),
         libmono-messaging2.0-cil (= ${source:Version}),
         libmono-messaging4.0-cil (= ${source:Version}),
         libmono-messaging-rabbitmq2.0-cil (= ${source:Version}),
         libmono-messaging-rabbitmq4.0-cil (= ${source:Version}),
         libmono-microsoft8.0-cil (= ${source:Version}),
         libmono-microsoft-build2.0-cil (= ${source:Version}),
         libmono-microsoft-build-engine4.0-cil (= ${source:Version}),
         libmono-microsoft-build-framework4.0-cil (= ${source:Version}),
         libmono-microsoft-build-tasks-v4.0-4.0-cil (= ${source:Version}),
         libmono-microsoft-build-utilities-v4.0-4.0-cil (= ${source:Version}),
         libmono-microsoft-csharp4.0-cil (= ${source:Version}),
         libmono-microsoft-visualc10.0-cil (= ${source:Version}),
         libmono-microsoft-web-infrastructure1.0-cil (= ${source:Version}),
         libmono-npgsql2.0-cil (= ${source:Version}),
         libmono-npgsql4.0-cil (= ${source:Version}),
         libmono-opensystem-c4.0-cil (= ${source:Version}),
         libmono-oracle2.0-cil (= ${source:Version}),
         libmono-oracle4.0-cil (= ${source:Version}),
         libmono-peapi2.0-cil (= ${source:Version}),
         libmono-peapi4.0-cil (= ${source:Version}),
         libmono-posix2.0-cil (= ${source:Version}),
